﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CustomDebugger
{
    public partial class MyTableDebuggerViewForm : Form
    {
        public MyTableDebuggerViewForm(MyTable myTable)
        {
            this.Table = myTable;
            InitializeComponent();
        }

        public MyTable Table { get; private set; }

        private void MyTableDebuggerViewForm_Load(object sender, EventArgs e)
        {
            foreach (var column in Table.Columns)
                this.dgvTable.Columns.Add(column.Name, column.Name);
            foreach (var row in Table.Rows)
            {
                var rowIndex = this.dgvTable.Rows.Add(1);
                var dgvRow = this.dgvTable.Rows[rowIndex];
                for (int i = 0; i < Table.Columns.Count; i++)
                    dgvRow.Cells[i].Value = row.Datas[i];
            }
        }
    }
}
